' Global variables

' command line or GUI? 
If InStr(UCase(WScript.FullName), "CSCRIPT") Then
    isGUI = false
Else
    isGUI = true
End If

' Check argument count for usage
If Wscript.Arguments.Count < 1 Then
    Wscript.Echo "usage: pwutil <password>"
    WScript.Quit(0)
End If

' Find root of installation
Set fso = CreateObject("Scripting.FileSystemObject")
bindir = fso.GetFile(WScript.ScriptFullName).ParentFolder
home   = bindir & "\..\"

' jvm options
pw_jvm_opts = "-cp """ & home & "lib/appserver/lib/jetty-util-8.1.jar"" org.eclipse.jetty.util.security.Password"

' Process command line arguments
password = Wscript.Arguments(0)

' Read registry for Java information
Dim shell, javaCurVer, javaHome, javaRT, java32Bit
java32Bit = false
Set shell = WScript.CreateObject("WScript.Shell")

' Turn error reporting off
On Error Resume Next
Err.Clear
javaCurVer = shell.RegRead("HKLM\Software\JavaSoft\Java Runtime Environment\CurrentVersion")
If Err <> 0 Then
    ' Check the 32bit version on a 64bit machine
    Err.Clear
    javaCurVer = shell.RegRead("HKLM\Software\Wow6432Node\JavaSoft\Java Runtime Environment\CurrentVersion")
    If Err <> 0 Then
        ' Did not find the key and exit
        ShowError "Java is not installed on this machine."
        WScript.Quit(1)
    Else
        java32Bit = true
    End If
End If

Dim javaSoft
If java32Bit <> true Then
    javaSoft = "JavaSoft"
Else
    javaSoft = "Wow6432Node\JavaSoft"
End If
javaHome = shell.RegRead("HKLM\Software\" & javaSoft & "\Java Runtime Environment\" & javaCurVer & "\JavaHome")
javaRT = shell.RegRead("HKLM\Software\" & javaSoft & "\Java Runtime Environment\" & javaCurVer & "\RuntimeLib")

javaCmd = """" & javaHome & "\bin\java"""

' Turn error reporting back on
On Error Goto 0

' Run the jetty tool to create a mangled pw for use in the configuration file.
' command = javaCmd & " " & PW_JVM_OPTS & " jetty " & password
command = javaCmd & " " & pw_jvm_opts & " jetty " & password

Set exec = shell.Exec(command)

' Capture the output for the user
WScript.Echo exec.StdErr.ReadAll()
